
// Dummy GraphicsContext.swift version 1.0 written by fuku@rouge.gr.jp

import Foundation

public
struct GraphicsContext {

    public init() {
    }

    // 線を描画するダミー
    public func stroke(_ path:Path, with shading:GraphicsContext.Shading, lineWidth:Float) {
        /*
         * - with shading: は色(.color) -- 未処理
         * - lineWidth: は線の太さ -- 未処理
         */
        let cgPath:CGPath = path.cgPath
        var prr:[CGPoint] = []
        cgPath.applyWithBlock {
            ep in
            let element = ep.pointee
            let points = element.points
            switch element.type {
            case .moveToPoint, .addLineToPoint:
                prr.append(points[0])
            case .closeSubpath:
                break
            @unknown default:
                break
            }
        }
        //print("\(#function) \(prr)")  // 値確認用
    }

    // 塗りつぶしのダミー
    public func fill(_ path:Path, with shading:GraphicsContext.Shading) {
        /*
         * let cgPath = path.cgPath として使用する。
         * - with shading: は色(.color) -- 未処理
         */
        let cgPath:CGPath = path.cgPath
        var prr:[CGPoint] = []
        cgPath.applyWithBlock {
            ep in
            let element = ep.pointee
            let points = element.points
            switch element.type {
            case .moveToPoint, .addLineToPoint:
                prr.append(points[0])
            case .closeSubpath:
                break
            @unknown default:
                break
            }
        }
        //print("\(#function) \(prr)")  // 値確認用
    }

    public struct Shading {
        public static func color(_ c:Color) -> GraphicsContext.Shading {
            return GraphicsContext.Shading()
        }
    }
}

