# DummyUI

Swift 言語でユニットテストをするときの仮補完モジュールです。

機能はほぼありません。  
ユニットテストで、存在しない SwiftUI を利用するときにエラーを出さないようにするためのものです。

---

## 特徴

- SwiftUI の代替にならない
- ひな形として使える

---

## 設置方法

1. Swift 言語でユニットテストの環境を準備する。

    swift package init --type library --name _MyLibrary_

        → ./Package.swift ./Source/ 等が作成される。

2. 展開したモジュール `./DummyUI/` をディレクトリごと ./Source/ の直下に置く。

    設置場所を `./Source/DummyUI/` とする。

3. Package.swift に DummyUI の指定を追加する。

    1. モジュール名を追加

        targets: [

            .target(name: "DummyUI") を追加。

    2. 依存関係を追加

        targets: [

            .testTarget(
                --省略--
                dependencies: [
                    ,"DummyUI" を追加。
                ]
                --省略--
            ),
        ]

---

## 利用方法

1. プログラムコードに import DummyUI を記述する。

      このときのプログラムファイルは `./Source/MyLibrary/MyLibrary.swift` のようなもの。


2. プログラムコードに呼び出し部分を記述する。

    例 1

    ```swift
    let color:Color = Color(red:32, green:64, blue:128)
    ```

    例 2

    ```swift
    var path:Path = Path()
    let point:CGPoint = CGPoint(x:10,y:10)
    path.move(to:point)
    path.closeSubpath()
    let gc:GraphicsContext = GraphicsContext()
    gc.stroke(path, with: .color(Color.black), lineWidth:1)
    ```
---
